Tag Parser: TagParser::LocaleDetail Struct Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
TagParser::LocaleDetail Struct Reference

The LocaleDetail struct specifies a language and/or country. More...

`#include <localehelper.h>`

Inheritance diagram for TagParser::LocaleDetail:
[legend]
Collaboration diagram for TagParser::LocaleDetail:
[legend]

## Public Member Functions
| LocaleDetail ()
| Constructs an empty LocaleDetail.
| LocaleDetail (std::string_view value, LocaleFormat format)
| Constructs a new LocaleDetail making a copy of value.
| LocaleDetail (std::string &&value, LocaleFormat format)
| Constructs a new LocaleDetail moving the specified value.

## Static Public Member Functions
static const LocaleDetail & | getEmpty ()
| Returns an empty LocaleDetail.

## Public Attributes
LocaleFormat | format = LocaleFormat::Unknown

## Detailed Description

The LocaleDetail struct specifies a language and/or country.

Definition at line 26 of file localehelper.h.

## Constructor & Destructor Documentation

## ◆ LocaleDetail() [1/3]

TagParser::LocaleDetail::LocaleDetail | ( |  | ) |
| inlineexplicit

Constructs an empty LocaleDetail.

Definition at line 37 of file localehelper.h.

## ◆ LocaleDetail() [2/3]

TagParser::LocaleDetail::LocaleDetail | ( | std::string_view | value,
|  | LocaleFormat | format )
| inlineexplicit

Constructs a new LocaleDetail making a copy of value.

Definition at line 45 of file localehelper.h.

## ◆ LocaleDetail() [3/3]

TagParser::LocaleDetail::LocaleDetail | ( | std::string && | value,
|  | LocaleFormat | format )
| inlineexplicit

Constructs a new LocaleDetail moving the specified value.

Definition at line 54 of file localehelper.h.

## Member Function Documentation

## ◆ getEmpty()

const LocaleDetail & TagParser::LocaleDetail::getEmpty | ( |  | ) |
| static

Returns an empty LocaleDetail.

Definition at line 48 of file localehelper.cpp.

## Member Data Documentation

## ◆ format

LocaleFormat TagParser::LocaleDetail::format = LocaleFormat::Unknown

Definition at line 30 of file localehelper.h.

The documentation for this struct was generated from the following files:

- localehelper.h
- localehelper.cpp